DIPlib Documentation - ©1995-2013 Quantitative Imaging Group, Delft University of Technology.

# dip__PixelGetFloat

Midlevel PixelIO function

## SYNOPSIS

dip_Error dip__PixelGetFloat ( vptr, type, position, stride, plane, val )

## FUNCTION

The dip__PixelGet/SetInteger and dip__PixelGet/SetFloat functions provide midlevel access to image pixel values. These functions are faster than the highlevel `Get` and `Set` functions, but are easier to use than the lowlevel `DIP_PIXEL_GET` and `DIP_PIXEL_SET` macros as defined in `dip_macros.h`.

## ARGUMENTS

Data type | Name | Description
`void *` | `vptr` | Void pointer to the image data
`dip_DataType` | `type` | Image data type. See DIPlib's data types
`dip_IntegerArray` | `position` | Position of the pixel in the image
`dip_IntegerArray` | `stride` | Image data stride
`dip_int` | `plane` | Plane of the pixel (binary images)
`dip_float *` | `val` | Pointer to the variable receiving the obtained pixel value

## SEE ALSO

`dip__PixelGetInteger`, `dip__PixelSetInteger`, `dip__PixelSetFloat`, `Get`, `Set`, `GetInteger`, `SetInteger`, `GetFloat`, `SetFloat`